Type to search.

Create Active Directory configuration

  • POST /platform/configuration/security/realms/active-directory
Auth

Creates a new Active Directory configuration.

Request body

The Active Directory configuration

id string required

The identifier for the security realm

name string required

The friendly name of the security realm

urls string[] required

The Active Directory URLs used to authenticate against, in the format ldap[s]://server:port. Note that ldap and ldaps protocols cannot be mixed together.

domain_name string required

Specifies the domain name of the Active Directory (the forest root domain name).

bind_anonymously boolean required

When true, bindDb credentials are ignored

bind_dn string

The distinguished name of the user that is used to bind to the Active Directory and perform searches.

bind_password string

The user password that is used to bind to the Active Directory server.

certificate_url string

The SSL trusted CA certificate bundle URL. The bundle should be a zip file containing a single keystore file 'keystore.ks' in the directory '/active_directory/:id/truststore', where :id is the value of the [id] field.

certificate_url_truststore_password string

The password to the certificate bundle URL truststore

certificate_url_truststore_type enum

The format of the truststore file. Should be jks to use the Java Keystore format or PKCS12 to use PKCS#12 files. The default is jks.

Values: jks PKCS12
enabled boolean

When true, enables the security realm

order integer · format: int32

The order that the security realm is evaluated

override_yaml string

Advanced configuration options in YAML format. Any settings defined here will override any configuration set via the API. Note that all keys should omit the 'xpack.security.authc.realms.active_directory.{realm_id}' prefix. For example, when the realm ID is set to 'ad1', the advanced configuration 'xpack.security.authc.realms.active_directory.ad1.ssl.verification_mode: full' should be added as 'ssl.verification_mode: full'.

Responses

The Active Directory configuration was successfully created

application/json

Response Type: object

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)